SDL_GetTextureColorModFloat(3)

NAME
SDL_GetTextureColorModFloat - Get the additional color value multiplied into render copy operations.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetTextureColorModFloat(SDL_Texture *texture, float *r, float *g, float *b);

FUNCTION PARAMETERS

texture
    the texture to query.

r   a pointer filled in with the current red color value.

g   a pointer filled in with the current green color value.

b   a pointer filled in with the current blue color value.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetTextureAlphaModFloat(3), SDL_GetTextureColorMod(3), SDL_SetTextureColorModFloat(3)